## org.opengis.referencing.cs
Interface AffineCS

All Superinterfaces:
  CoordinateSystem, IdentifiedObject

All Known Subinterfaces:
  CartesianCS

    @UML(identifier="CS_AffineCS",
         specification=ISO_19111)
    public interface AffineCS

extends CoordinateSystem

A two- or three-dimensional coordinate system with straight axes that are not necessarily orthogonal. An `AffineCS` shall have two or three axis associations.

Used with CRS type(s)
`Engineering`, `Image`

Since:
  GeoAPI 2.0
Version:
  Abstract specification 2.0
See Also:
  `CartesianCS`

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary

Methods inherited from interface CoordinateSystem
`getAxis, getDimension`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.